extends CanvasLayer


# Called when the node enters the scene tree for the first time.
func _ready():
	$MarginContainer/VBoxContainer/Start.grab_focus()

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	if Input.is_action_just_pressed("ui_cancel"):
		var quitBtn = $MarginContainer/VBoxContainer/Quit
		if quitBtn.has_focus():
			_on_quit_pressed()
		quitBtn.grab_focus()

func enableExtra():
	$MarginContainer/VBoxContainer/Extra.disabled = false
	$MarginContainer/VBoxContainer/Extra.focus_mode = 2


func _on_quit_pressed():
	get_tree().quit()
